업그레이드 기준선을 기반으로 ESXi 호스트를 검색할 때 Update Manager는 각 호스트에 대해 사전 확인 스크립트를 실행하고 업그레이드 세부 정보 창에 정보 메시지를 제공합니다. 이러한 메시지를 통해 ESXi 6.5로 업그레이드하는 데 장애가 될 수 있는 하드웨어, 호스트의 타사 소프트웨어 및 구성과 관련된 잠재적 문제를 알 수 있습니다.

Update Manager가 제공하는 메시지는 호스트 업그레이드 사전 확인 스크립트를 실행할 때의 오류 또는 주의 코드와 일치합니다.

ESXi 설치 관리자를 사용하여 설치 및 업그레이드를 대화형으로 수행할 경우 사전 확인 스크립트에서 발생한 오류 또는 주의는 설치 관리자의 마지막 패널에 표시됩니다. 이 패널에서 설치 또는 업그레이드를 확인하거나 취소할 수 있습니다. 스크립트로 작성된 설치 및 업그레이드의 경우에는 오류 또는 주의가 설치 로그에 기록됩니다.

Update Manager는 사전 확인 스크립트에서 발생한 오류 또는 주의에 대한 검색 결과 메시지를 업그레이드 세부 정보 창에 제공합니다. Update Manager 호스트 업그레이드 검색 작업 중 사전 확인 스크립트에서 반환된 원래 오류 및 주의를 보려면 Update Manager 로그 파일인 C:\Documents and Settings\All Users\Application Data\VMware\VMware Update Manager\Logs\vmware-vum-server-log4cpp.log를 검토하십시오.

표 1. 검색 결과 메시지와 해당하는 오류 및 주의 코드

Update Manager의 검색 결과 메시지

설명

호스트 CPU가 지원되지 않습니다. 새로운 버전의 ESXi를 사용하려면 롱 모드에서 LAHF/SAHF 명령을 지원하는 64비트 CPU가 필요합니다.

이 메시지는 호스트 프로세서가 32비트이고 필요한 기능을 지원하지 않는 경우에 나타납니다.

해당하는 오류 코드는 64BIT_LONGMODESTATUS입니다.

신뢰할 수 있는 부팅 기능이 호스트에 사용하도록 설정되어 있지만 업그레이드에 소프트웨어 패키지 esx-tboot가 포함되어 있지 않습니다. 호스트를 업그레이드하면 신뢰할 수 있는 부팅 기능이 제거됩니다.

이 메시지는 호스트 업그레이드 검색을 통해 업그레이드 ISO에서 esx-tboot VIB를 찾지 못했음을 나타냅니다.

해당하는 오류 코드는 TBOOT_REQUIRED입니다.

VMkernel 및 서비스 콘솔 네트워크 인터페이스가 동일한 서브넷 subnet_name을(를) 공유하고 있습니다. 업그레이드 후에는 이러한 구성이 지원되지 않습니다. 서브넷 subnet_name에는 하나의 인터페이스만 연결해야 합니다.

주의. vmkernel의 동일한 서브넷에 해당 주소가 없는 사용하도록 설정된 서비스 콘솔 가상 NIC에서 IPv4 주소를 찾았습니다. 이러한 경우가 발생할 때마다 개별적으로 주의가 나타납니다.

해당하는 오류 코드는 COS_NETWORKING입니다.

새 ESXi 버전을 사용하려면 최소한 core_count개의 프로세서 코어가 필요합니다.

호스트에는 최소 두 개의 코어가 있어야 합니다.

해당하는 오류 코드는 CPU_CORES입니다.

프로세서에서 하드웨어 가상화를 지원하지 않거나 BIOS에서 가상화가 사용되지 않도록 설정되었습니다. 가상 시스템의 성능이 저하될 수 있습니다.

호스트 프로세서가 하드웨어 가상화를 지원하지 않거나 호스트 BIOS에서 하드웨어 가상화가 설정되어 있지 않은 경우에는 호스트 성능이 저하될 수 있습니다. 호스트 시스템 부팅 옵션에서 하드웨어 가상화를 사용하도록 설정하십시오. 하드웨어 벤더의 설명서를 참조하십시오.

해당하는 오류 코드는 HARDWARE_VIRTUALIZATION입니다.

메모리가 부족합니다. 업그레이드하려면 최소 size_in_MBMB의 메모리가 필요합니다.

업그레이드하려면 호스트에 지정한 크기의 메모리가 있어야 합니다.

해당하는 오류 코드는 MEMORY_SIZE입니다.

file_name에 대한 호스트 업그레이드 유효성 검사를 수행하지 못했습니다.

이 테스트에서는 사전 확인 스크립트 자체가 실행 가능한지를 확인합니다.

해당하는 오류 코드는 PRECHECK_INITIALIZE입니다.

호스트 파티션 레이아웃이 업그레이드에 적합하지 않습니다.

업그레이드할 디스크에 VMFS 파티션이 최대 하나만 있고 이 VMFS 파티션이 섹터 1843200 후에 시작되는 경우에만 업그레이드를 수행할 수 있습니다.

해당하는 오류 코드는 PARTITION_LAYOUT입니다.

지원되지 않는 구성.

/etc/vmware/esx.conf 파일은 호스트에 있어야 합니다.

이 메시지는 /etc/vmware/esx.conf 파일이 없거나 파일 데이터를 올바르게 검색하거나 읽을 수 없음을 나타냅니다.

해당하는 오류 코드는 SANE_ESX_CONF입니다.

호스트의 로컬 VMFS 데이터스토어에 사용 가능한 공간이 부족하여 현재 호스트 구성을 백업할 수 없습니다. 최소 size_in_MBMB의 공간이 필요합니다.

호스트 디스크에는 재부팅 사이에 ESXi 5.x 구성을 저장하는 데 사용할 수 있는 충분한 공간이 있어야 합니다.

해당하는 오류 코드는 SPACE_AVAIL_CONFIG입니다.

현재 호스트 버전에서는 업그레이드가 지원되지 않습니다.

ESXi 6.5로의 업그레이드는 ESXi 5.5ESXi 6.0 호스트에서만 가능합니다.

해당하는 오류 코드는 SUPPORTED_ESX_VERSION입니다.

호스트에 지원되지 않는 디바이스 device_name이(가) 있습니다.

스크립트에서는 지원되지 않는 디바이스를 확인합니다. 일부 PCI 디바이스는 ESXi 6.5에서 지원되지 않습니다.

해당하는 오류 코드는 UNSUPPORTED_DEVICES입니다.

호스트 소프트웨어를 구성하려면 호스트를 재부팅해야 합니다. 호스트를 재부팅한 후 업그레이드를 다시 시도하십시오.

업그레이드 시 좋은 부트 뱅크를 확보하려면 업데이트 적용 전에 호스트를 재부팅해야 합니다.

해당하는 오류 코드는 UPDATE_PENDING입니다.

Cisco Nexus 1000V Distributed Virtual Switch를 사용하는 환경의 경우 Update Manager는 다양한 상황에서 다양한 메시지를 표시합니다. 자세한 내용은 Cisco Nexus 1000V가 있는 경우의 호스트 업그레이드 검색 메시지를 참조하십시오.

호스트에 Cisco의 VEM(Virtual Ethernet Module) 소프트웨어가 있는 경우 사전 확인 스크립트에서는 이 소프트웨어가 업그레이드의 일부인지 확인할 뿐 아니라 VEM이 호스트에 있는 기존 버전과 동일한 버전의 VSM(Virtual Supervisor Module)을 지원하는지도 확인합니다. 이 소프트웨어가 없거나 다른 버전의 VSM과 호환되는 경우, 스크립트에서는 주의를 반환하며 검색 결과에는 업그레이드 ISO에 필요한 VEM 소프트웨어 버전과 ISO에서 찾은 버전(있는 경우)이 표시됩니다.

해당하는 오류 코드는 DISTRIBUTED_VIRTUAL_SWITCH입니다.

호스트가 EMC PowerPath Multipathing 모듈 file_name을(를) 사용하여 스토리지를 액세스하므로, 업그레이드 후에는 이 스토리지를 액세스할 수 없습니다.

스크립트에서는 CIM 모듈과 커널 모듈로 구성된 EMC PowerPath 소프트웨어가 설치되어 있는지 확인합니다. 호스트에 이러한 구성 요소 중 하나가 있는 경우 스크립트에서는 업그레이드에 다른 일치하는 구성 요소(CIM, VMkernel 모듈)도 있는지 확인합니다. 일치하는 구성 요소가 없으면 스크립트에서는 업그레이드 ISO에 필요한 PowerPath 구성 요소와 발견된 구성 요소를 알려 주는 주의를 반환합니다.

해당하는 오류 코드는 POWERPATH입니다.